## com.meego.libsocialweb.Avatar com.meego.libsocialweb.Avatar — Avatar interface |

## Methods

    RequestAvatar ()

## Signals

    AvatarRetrieved ('s' path)

## Implemented Interfaces

Objects implementing com.meego.libsocialweb.Avatar also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Description

An interface representing the functionality required to fetch the user's own avatar for an account.

Request that the user's avatar is downloaded from the service. This will cause the "AvatarRetrieved" signal to be fired when the avatar has been downloaded

## Details

### `RequestAvatar()`

    RequestAvatar ()

## Signal Details

### The AvatarRetrieved signal

    AvatarRetrieved ('s' path)

This is the signal that will be fired when the avatar has been downloaded by the backend.

`path`: | The local filename of the downloaded avatar image.